import request from '@/utils/request'

// 查询达人关注列表
export function listUserTalentFollow(query) {
  return request({
    url: '/course/userTalentFollow/list',
    method: 'get',
    params: query
  })
}

// 查询达人关注详细
export function getUserTalentFollow(id) {
  return request({
    url: '/course/userTalentFollow/' + id,
    method: 'get'
  })
}

// 新增达人关注
export function addUserTalentFollow(data) {
  return request({
    url: '/course/userTalentFollow',
    method: 'post',
    data: data
  })
}

// 修改达人关注
export function updateUserTalentFollow(data) {
  return request({
    url: '/course/userTalentFollow',
    method: 'put',
    data: data
  })
}

// 删除达人关注
export function delUserTalentFollow(id) {
  return request({
    url: '/course/userTalentFollow/' + id,
    method: 'delete'
  })
}

// 导出达人关注
export function exportUserTalentFollow(query) {
  return request({
    url: '/course/userTalentFollow/export',
    method: 'get',
    params: query
  })
}